/*
 * callgate.h
 *
 * システムコールゲートファンクションヘッダー。
 */


#ifndef callgate_h
#define callgate_h


extern int syscall1(int);
extern int syscall2(int,int);
extern int syscall3(int,int,int);
extern int syscall4(int,int,int,int);
extern int syscall5(int,int,int,int,int);
extern int syscall6(int,int,int,int,int,int);
extern int syscall7(int,int,int,int,int,int,int);


#endif
